<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping
                   https://raw.github.com/doctrine/doctrine2/master/doctrine-mapping.xsd">

    <entity name="App\Entity\Lot" table="lot">

        <indexes>
            <index name="tender_id_idx" columns="tender_id"/>
        </indexes>

        <id name="id" type="integer" column="id">
            <generator strategy="AUTO"/>
        </id>
        <field name="tenderId" type="integer"/>
        <field name="number" length="10"/>
        <field name="title" length="1000"/>
        <field name="amount" type="decimal" />
        <field name="deliveryAddress" length="255" nullable="true" />
        <field name="deliveryConditions" length="255" nullable="true" />
        <field name="createdAt" type="datetime" />
        <field name="updatedAt" type="datetime" />
        <field name="deletedAt" type="datetime" nullable="true" />
    </entity>
</doctrine-mapping>